Python 3: do not use 'unicode()'

Bug #1284677 reported by Cyril Roelandt on 2014-02-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Low
Leandro Ignacio Costantino
Glance Client
Low
Unassigned
Manila
Low
Valeriy Ponomaryov
tuskar
Low
Fengqian

Bug Description

The unicode() function is Python2-specific, we should use six.text_type() instead.

Zhi Yan Liu (lzy-dev) on 2014-02-26
Changed in python-glanceclient:
status: New → Triaged
importance: Undecided → Low
Zhi Yan Liu (lzy-dev) on 2014-02-26
Changed in glance:
status: New → Triaged
importance: Undecided → Low
Changed in python-glanceclient:
assignee: nobody → Leandro Ignacio Costantino (leandro-i-costantino)
Changed in glance:
assignee: nobody → Leandro Ignacio Costantino (leandro-i-costantino)

Fix proposed to branch: master
Review: https://review.openstack.org/76874

Changed in python-glanceclient:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/76903

Changed in glance:
status: Triaged → In Progress
Changed in python-glanceclient:
assignee: Leandro Ignacio Costantino (leandro-i-costantino) → nobody
Fengqian (fengqian-gao) on 2014-02-28
Changed in tuskar:
assignee: nobody → Fengqian (fengqian-gao)

Fix proposed to branch: master
Review: https://review.openstack.org/77053

Changed in tuskar:
status: New → In Progress
Changed in tuskar:
importance: Undecided → Low

Reviewed: https://review.openstack.org/77053
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=aa0e4ea3c741ce373ed15b02bbcc7c265dbcc75b
Submitter: Jenkins
Branch: master

commit aa0e4ea3c741ce373ed15b02bbcc7c265dbcc75b
Author: Fengqian Gao <email address hidden>
Date: Fri Feb 28 11:07:44 2014 +0800

    Replace unicode with six.text_type to support python3.X

    Python 3 doesn't support unicode(), use six.text_type instead.
    Partial-Bug: #1284677

    Change-Id: I2737c62e3bc1dc758033d488e6324ca7bfbc4881

Fengqian (fengqian-gao) on 2014-03-04
Changed in tuskar:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/76229
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=21c422f730c75d5cf91421aeb2d960f188b2a32a
Submitter: Jenkins
Branch: master

commit 21c422f730c75d5cf91421aeb2d960f188b2a32a
Author: Cyril Roelandt <email address hidden>
Date: Tue Feb 25 16:03:34 2014 +0100

    Python 3: do not use the unicode() function

    It is Python2-specific, and should not be used in code intended to be portable.

    Change-Id: Ibebef1a7e51a7444538275d22d444c926b8b4dec
    Closes-Bug: 1284677

Changed in python-glanceclient:
status: In Progress → Fix Committed
Changed in tuskar:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/76903
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=627d5fbc1303b3f9d9b2f89acf21359437f9a928
Submitter: Jenkins
Branch: master

commit 627d5fbc1303b3f9d9b2f89acf21359437f9a928
Author: Leandro I. Costantino <email address hidden>
Date: Wed Mar 26 09:35:25 2014 -0300

    Replace unicode() for six.text_type

    To support Python3, unicode() calls has been replaced by
    six.text_type.
    Added utils.exception_to_str(): is the proper way to convert
    an exception to string, since it manages logic related to
    encoding.

    Change-Id: I27101390e4f95e5c7690b1b445b7e75b8bcb9a08
    Closes-Bug: #1284677

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-11
Changed in glance:
milestone: none → juno-1
status: Fix Committed → Fix Released
Changed in manila:
assignee: nobody → Valeriy Ponomaryov (vponomaryov)
importance: Undecided → Low
Changed in manila:
status: New → In Progress

Reviewed: https://review.openstack.org/106379
Committed: https://git.openstack.org/cgit/stackforge/manila/commit/?id=4e5c1847e629f58bf405e87045f09633183e126f
Submitter: Jenkins
Branch: master

commit 4e5c1847e629f58bf405e87045f09633183e126f
Author: vponomaryov <email address hidden>
Date: Fri Jul 11 16:51:34 2014 +0300

    py3.x: Use six.text_type() instead of unicode()

    Python 3 doesn't support unicode(), use six.text_type instead.
    Partial-Bug: #1284677
    Partially-implements blueprint py3-compatibility

    Change-Id: I5f66ce70e838fedc955f5284c3c480bc37420107

Changed in manila:
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Changed in manila:
milestone: none → icehouse-3
milestone: icehouse-3 → juno-3
Louis Taylor (kragniz) on 2014-09-21
Changed in python-glanceclient:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in glance:
milestone: juno-1 → 2014.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers